Subject: bug#3370: 23.0.94; `comment-region' indents comment chars inappropriately

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 May 2009 09:38:18 -0400

> Why would everything else be equal? What's wrong with considering what
> Emacs has always done, and perhaps even thinking about breaking
> existing code (such as what I reported)? Everything else is not equal.

Emacs put the comment-starters at column-0 because that code was written
a looooonnng time ago and keeping things simple was more important
than now.  Emacs-21's new commenting code was improved to be able to
comment and uncomment at other columns than column-0, which made it more
useful since most commenting styles use other indentation styles.
Emacs-21's default (as well as 22) was set to `plain' because Richard
always puts such comments at column-0 (the `plain' setting had actually
to be added specifically for this).

If you don't like it, just (setq comment-style 'plain) and live happily
ever after.

        Stefan